0

First off, I have never used Pear before, I'm a complete newbie, but I need to mix php and excel so... I ran

sudo apt-get install pear

and that went smoothly, but I can't get any further. I tried to install the Spreadsheet Excel Writer like this

sudo pear install Spreadsheet_Excel_Writer-0.9.3

but was promptly told

Failed to download pear/OLE within preferred state "stable", latest release is version 1.0.0RC2, stability "beta", use "channel://pear.php.net/OLE-1.0.0RC2" to install pear/Spreadsheet_Excel_Writer requires package "pear/OLE" (version >= 0.5) No valid packages found install failed

I upgraded it but it didn't change anything. I don't know how to get it to use a different channel and I can't find a way to install the package "pear/OLE". Please help! Thanks

1
  • 1
    Basically, the last version Ubuntu has in their repos is too old to use it, so you'll probably need to update the package by yourself. Please see this question, might give you tips on how to do it: superuser.com/questions/55055/… – nKn Jun 9 '16 at 8:13
0

Firstly, you have to install OLE-1.0.0RC2 sudo pear install OLE-1.0.0RC2

You can install Spreadsheet_Excel_Writer from scratch by

git clone https://github.com/pear/Spreadsheet_Excel_Writer.git

cd Spreadsheet_Excel_Writer

pear install package.xml

More details github

4
  • thanks, I just tried it but I still get the same error – Jessica Chambers Jun 9 '16 at 8:26
  • Did you install OLE-1.0.0RC2 sudo pear install OLE-1.0.0RC2 – thangdc94 Jun 9 '16 at 10:00
  • I hadn't, but now I have and I'm pretty sure that worked, thanks! – Jessica Chambers Jun 9 '16 at 11:01
  • ok I edited my answer. Thanks for your reply :) – thangdc94 Jun 9 '16 at 12:33

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.